.\"
.\" Copyright (c) 1994 Wilko Bulte
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. The name of the author may not be used to endorse or promote products
.\"    derived from this software withough specific prior written permission
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\" $FreeBSD: src/share/man/man4/man4.i386/aha.4,v 1.5.2.2 1999/09/05 11:27:01 peter Exp $
.\"
.Dd January 19, 1996
.Dt AHA 4 i386
.Os FreeBSD
.Sh NAME
.Nm aha
.Nd Adaptec SCSI host adapter driver
.Sh SYNOPSIS
.Cd controller "aha0 at isa? port" \&"IO_AHA0\&" "bio irq ? drq 5 vector ahaintr"
.Cd controller scbus0 at aha0
.Sh DESCRIPTION
This driver provides access to the
.Tn SCSI
bus connected to an Adaptec 154xA, 154xB, 154xC or 164x host
adapter.  It also works for compatible cards like the BusLogic 545 and
the Adaptec 174x in 154x emulation mode.
For Adaptec 174x cards in enhanced mode the
.Xr ahb 4
driver should be used instead.
.Sh SEE ALSO
.Xr ahb 4 ,
.Xr ahc 4 ,
.Xr cd 4 ,
.Xr scsi 4 ,
.Xr sd 4 ,
.Xr st 4
.\"
.\" .Sh DIAGNOSTICS
.\"
.Sh AUTHOR
The
.Nm
driver was written by Julian Elischer for
.Tn Mach
2.5.
.Sh HISTORY
The
.Nm
driver first appeared in the
.Tn 386BSD
patchkit.
